com.microfocus.awm.meta.interfaces

## Interface DocumentRoot

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    DocumentRootImpl

      public interface DocumentRoot
      extends org.eclipse.emf.ecore.EObject

  The following features are supported:

  - `Mixed`
  - `XMLNS Prefix Map`
  - `XSI Schema Location`
  - `Taurus Configuration`
  - `ID`
  - `Label`
  - `Name`
  - `NC Name`
  - `Seq No`
  - `Sort By`
  - `Table View ID`
  - `Table View Label`
  - `Type`
  See Also:
    `TaurusPackage.getDocumentRoot()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
    `java.lang.String` | `getNCName()` Returns the value of the 'NC Name' attribute.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `java.lang.String` | `getSortBy()` Returns the value of the 'Sort By' attribute.
    `java.lang.String` | `getTableViewID()` Returns the value of the 'Table View ID' attribute.
    `java.lang.String` | `getTableViewLabel()` Returns the value of the 'Table View Label' attribute.
    `TAURUSConfiguration` | `getTaurusConfiguration()` Returns the value of the 'Taurus Configuration' containment reference.
    `ETypes` | `getType()` Returns the value of the 'Type' attribute.
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String>` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String>` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetType()` Returns whether the value of the '`Type`' attribute is set.
    `void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
    `void` | `setNCName(java.lang.String value)` Sets the value of the '`NC Name`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setSortBy(java.lang.String value)` Sets the value of the '`Sort By`' attribute.
    `void` | `setTableViewID(java.lang.String value)` Sets the value of the '`Table View ID`' attribute.
    `void` | `setTableViewLabel(java.lang.String value)` Sets the value of the '`Table View Label`' attribute.
    `void` | `setTaurusConfiguration(TAURUSConfiguration value)` Sets the value of the '`Taurus Configuration`' containment reference.
    `void` | `setType(ETypes value)` Sets the value of the '`Type`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetType()` Unsets the value of the '`Type`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMixed

          org.eclipse.emf.ecore.util.FeatureMap getMixed()

      Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.
      Returns:
        the value of the 'Mixed' attribute list.
      See Also:
        `TaurusPackage.getDocumentRoot_Mixed()`

    - #### getXMLNSPrefixMap

          org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> getXMLNSPrefixMap()

      Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,
      Returns:
        the value of the 'XMLNS Prefix Map' map.
      See Also:
        `TaurusPackage.getDocumentRoot_XMLNSPrefixMap()`

    - #### getXSISchemaLocation

          org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> getXSISchemaLocation()

      Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,
      Returns:
        the value of the 'XSI Schema Location' map.
      See Also:
        `TaurusPackage.getDocumentRoot_XSISchemaLocation()`

    - #### getTaurusConfiguration

          TAURUSConfiguration getTaurusConfiguration()

      Returns the value of the 'Taurus Configuration' containment reference.
      Returns:
        the value of the 'Taurus Configuration' containment reference.
      See Also:
        `setTaurusConfiguration(TAURUSConfiguration)`, `TaurusPackage.getDocumentRoot_TaurusConfiguration()`

    - #### setTaurusConfiguration

          void setTaurusConfiguration(TAURUSConfiguration value)

      Sets the value of the '`Taurus Configuration`' containment reference.
      Parameters:
        `value` - the new value of the 'Taurus Configuration' containment reference.
      See Also:
        `getTaurusConfiguration()`

    - #### getID

          java.lang.String getID()

      Returns the value of the 'ID' attribute.
      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `TaurusPackage.getDocumentRoot_ID()`

    - #### setID

          void setID(java.lang.String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getDocumentRoot_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `TaurusPackage.getDocumentRoot_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getNCName

          java.lang.String getNCName()

      Returns the value of the 'NC Name' attribute.
      Returns:
        the value of the 'NC Name' attribute.
      See Also:
        `setNCName(String)`, `TaurusPackage.getDocumentRoot_NCName()`

    - #### setNCName

          void setNCName(java.lang.String value)

      Sets the value of the '`NC Name`' attribute.
      Parameters:
        `value` - the new value of the 'NC Name' attribute.
      See Also:
        `getNCName()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getDocumentRoot_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getSortBy

          java.lang.String getSortBy()

      Returns the value of the 'Sort By' attribute.
      Returns:
        the value of the 'Sort By' attribute.
      See Also:
        `setSortBy(String)`, `TaurusPackage.getDocumentRoot_SortBy()`

    - #### setSortBy

          void setSortBy(java.lang.String value)

      Sets the value of the '`Sort By`' attribute.
      Parameters:
        `value` - the new value of the 'Sort By' attribute.
      See Also:
        `getSortBy()`

    - #### getTableViewID

          java.lang.String getTableViewID()

      Returns the value of the 'Table View ID' attribute.
      Returns:
        the value of the 'Table View ID' attribute.
      See Also:
        `setTableViewID(String)`, `TaurusPackage.getDocumentRoot_TableViewID()`

    - #### setTableViewID

          void setTableViewID(java.lang.String value)

      Sets the value of the '`Table View ID`' attribute.
      Parameters:
        `value` - the new value of the 'Table View ID' attribute.
      See Also:
        `getTableViewID()`

    - #### getTableViewLabel

          java.lang.String getTableViewLabel()

      Returns the value of the 'Table View Label' attribute.
      Returns:
        the value of the 'Table View Label' attribute.
      See Also:
        `setTableViewLabel(String)`, `TaurusPackage.getDocumentRoot_TableViewLabel()`

    - #### setTableViewLabel

          void setTableViewLabel(java.lang.String value)

      Sets the value of the '`Table View Label`' attribute.
      Parameters:
        `value` - the new value of the 'Table View Label' attribute.
      See Also:
        `getTableViewLabel()`

    - #### getType

          ETypes getType()

      Returns the value of the 'Type' attribute. The literals are from the enumeration `ETypes`.
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `ETypes`, `isSetType()`, `unsetType()`, `setType(ETypes)`, `TaurusPackage.getDocumentRoot_Type()`

    - #### setType

          void setType(ETypes value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `ETypes`, `isSetType()`, `unsetType()`, `getType()`

    - #### unsetType

          void unsetType()

      Unsets the value of the '`Type`' attribute.
      See Also:
        `isSetType()`, `getType()`, `setType(ETypes)`

    - #### isSetType

          boolean isSetType()

      Returns whether the value of the '`Type`' attribute is set.
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `unsetType()`, `getType()`, `setType(ETypes)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.